Name:          upower
Version:       0.9.23
Release:       1mamba
Summary:       Power Management Service
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Automatic Build System <autodist@mambasoft.it>
URL:           http://upower.freedesktop.org/
Source:        http://upower.freedesktop.org/releases/upower-%{version}.tar.xz
# don't crash with new polkits
Patch0:        upower-0.9.6-ensure-gerror-is-init.patch
# don't return more or less than once from a dbus call
# and don't leak errors all over the place
Patch1:        upower-dbus-fixes.patch
Patch2:        %{name}-0.9.15-use_percentage_when_noly_energy_full_is_unavailable.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: gtk-doc
BuildRequires: libdbus-devel
BuildRequires: libdbus-glib-devel
BuildRequires: libffi-devel
BuildRequires: libglib-devel
BuildRequires: libimobiledevice-devel
BuildRequires: libplist-devel
BuildRequires: libselinux-devel
BuildRequires: libusb-devel
BuildRequires: libz-devel
BuildRequires: pkg-config
BuildRequires: polkit-devel
BuildRequires: udev-devel
## AUTOBUILDREQ-END
BuildRequires: gobject-introspection-devel
BuildRequires: libimobiledevice-devel >= 1.1.4
BuildRequires: intltool
BuildRequires: libelf-devel
Requires:      libimobiledevice >= 1.1.4
Obsoletes:     DeviceKit-power
Provides:      DeviceKit-power
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
UPower is an abstraction for enumerating power devices, listening to device events and querying history and statistics. Any application or service on the system can access the org.freedesktop.UPower service via the system message bus. Some operations (such as suspending the system) are restricted using PolicyKit. 

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:     DeviceKit-power-devel
Provides:      DeviceKit-power-devel

%description devel
UPower (formerly DeviceKit-power) provides a daemon, API and command line tools for managing power devices attached to the system.

This package contains libraries and header files need for development.

%package static
Summary:       Static package for %{name}
Group:         Development/Libraries
Requires:      %{name}-devel = %{?epoch:%epoch:}%{version}-%{release}

%description static
UPower (formerly DeviceKit-power) provides a daemon, API and command line tools for managing power devices attached to the system.

This package contains static libraries need for development.

%package apidocs
Summary:       %{name} API documentation
Group:         Documentation
Requires:      gtk-doc

%description apidocs
UPower (formerly DeviceKit-power) provides a daemon, API and command
line tools for managing power devices attached to the system.

This package contains %{name} API documentation.

%prep

%setup -q
#%patch0 -p1
#%patch1 -p1
#%patch2 -p1

%build
%configure \
       --enable-gtk-doc \
       --enable-introspection

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%dir %{_sysconfdir}/UPower
%config %{_sysconfdir}/UPower/UPower.conf
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.UPower.conf
%{_bindir}/upower
%dir %{_localstatedir}/lib/upower
%{_libexecdir}/upowerd
%{_libdir}/libupower-glib.so.*
#%{_libdir}/libdevkit-power-gobject.so.*
%{_libdir}/girepository-*/UPowerGlib-*.typelib
/lib/udev/rules.d/95-upower-battery-recall-*.rules
/lib/udev/rules.d/95-upower-csr.rules
/lib/udev/rules.d/95-upower-hid.rules
/lib/udev/rules.d/95-upower-wup.rules
/lib/systemd/system-sleep/notify-upower.sh
/lib/systemd/system/upower.service
%{_datadir}/dbus-1/interfaces/*.xml
%{_datadir}/dbus-1/system-services/*.service
%{_datadir}/polkit-1/actions/*.policy
%{_mandir}/man1/upower.1.gz
%{_mandir}/man7/UPower.7.gz
%{_mandir}/man8/upowerd.8.gz
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libupower-glib
%{_includedir}/libupower-glib/*.h
%{_libdir}/libupower-glib.so
%{_libdir}/pkgconfig/upower-glib.pc
%{_datadir}/gir-*/UPowerGlib-*.gir
%doc HACKING NEWS README

%files static
%defattr(-,root,root)
%{_libdir}/libupower-glib.*a

%files apidocs
%defattr(-,root,root)
%dir %{_datadir}/gtk-doc/html/UPower
%{_datadir}/gtk-doc/html/UPower/*

%changelog
* Mon Oct 28 2013 Automatic Build System <autodist@mambasoft.it> 0.9.23-1mamba
- automatic version update by autodist

* Sat Jul 27 2013 Automatic Build System <autodist@mambasoft.it> 0.9.21-1mamba
- automatic update by autodist

* Tue Mar 19 2013 Automatic Build System <autodist@mambasoft.it> 0.9.20-1mamba
- automatic version update by autodist

* Mon Jan 07 2013 Automatic Build System <autodist@mambasoft.it> 0.9.19-1mamba
- automatic version update by autodist

* Sat Aug 11 2012 Automatic Build System <autodist@mambasoft.it> 0.9.18-1mamba
- automatic version update by autodist

* Mon May 14 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.16-1mamba
- update to 0.9.16

* Tue Feb 28 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.15-2mamba
- added a patch to use percentage (capacity) when energy_full or charge_full is not provided by driver

* Tue Feb 28 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.15-1mamba
- update to 0.9.15

* Fri Oct 07 2011 Automatic Build System <autodist@mambasoft.it> 0.9.14-1mamba
- automatic version update by autodist

* Mon Oct 03 2011 Automatic Build System <autodist@mambasoft.it> 0.9.13-1mamba
- automatic version update by autodist

* Tue Jul 26 2011 Automatic Build System <autodist@mambasoft.it> 0.9.12-1mamba
- update to 0.9.12

* Sat Jun 25 2011 Automatic Build System <autodist@mambasoft.it> 0.9.11-1mamba
- automatic update by autodist

* Fri Jan 28 2011 Automatic Build System <autodist@mambasoft.it> 0.9.8-1mamba
- automatic update by autodist

* Fri Oct 01 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.5-2mamba
- rebuilt in openmamba devel

* Wed Sep 22 2010 gil <puntogil@libero.it> 0.9.5-1mamba
- package created by autospec
